Subject: Re: mv implemented as cp?!?!?!!?
From: "Gerrit P. Haase" <[email-masked]>
To: "Matthew O. Persico" <[email-masked]>
Cc: [email-masked]
Date: Thu, 13 Sep 2001 02:22:04 +0200

Matthew O. Persico schrieb am 2001-09-12, 18:52:

>I have a /usr/X11R6 directory that I wanted to get out of the way. So I
>renamed it like this:
>
>cd /usr
>mv X11R6 X11R6.XFree.4.1.0
>
>It is taking multiple minutes. Looking at it in Windows Explorer, I see
>both X11R6 and X11R6.XFree.4.1.0 in existance at the same time.
>
>Is mv implemented as cp and del?!?!. Why not just rename the file, a'la
>UNIX, or even Windows? Or am I really missing something?

It works as you would expect, but only if there is no file opened in the 
dir you want to rename.
You can try this.
Create a dir and fill it up.
Make sure that there is no file opened and you're not looking in any
subdirectory with explorer or another shell window.
Then rename it.
And then do the opposite, open one file in the renamed directory and
mv it back to its old location, then it will be copied.
It is a typical windows behaviour that an opened file cannot be deleted...

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/